#!/bin/bash
# shellcheck disable=SC1091 # Cannot resolve paths in variables

PROJECT_HOME="$(realpath -s --relative-to . "$(dirname "$0")/..")" || exit
. "$PROJECT_HOME/scripts/util.sh" || exit

APP="$1"
[ -n "$APP" ] || error $"Usage: $0 <app name>"

APP_SRC_DIR="$PROJECT_HOME/app"

copy_run "$APP_SRC_DIR" \
	"/var/app/rollback/volumes/${APP}_app" \
	"${APP}_app"
